require 'cocoapods'

module Pod
  class Podfile
    GD_USE_BINARIES = 'use_binaries'
    USE_SOURCE_CODE_SELECTOR = 'use_source_code'

  	def use_binaries!(flag = true)
  		internal_hash[GD_USE_BINARIES] = flag
    end

    def get_use_binaries
      internal_hash[GD_USE_BINARIES]
    end

    def use_source_code_selector!(&block)
      raise Informative, '必须提供选择需要二进制组件的 block !' unless block_given?
      internal_hash[USE_SOURCE_CODE_SELECTOR] = block
    end

    def get_use_source_code_selector
      internal_hash[USE_SOURCE_CODE_SELECTOR]
    end

  end
end
